
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef FORCE_SCAN_H
#define FORCE_SCAN_H


/* Structures definies par d'autres modules */


/* Structures du module */
#include "server/forcePosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
int scan_buf_struct_FORCE_FORCE_POSTER_STR (char** buf, struct FORCE_FORCE_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_FORCE_MONITOR_POSTER_STR (char** buf, struct FORCE_MONITOR_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_FORCE_DETECTION_POSTER_STR (char** buf, struct FORCE_DETECTION_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_FORCE_STR (char** buf, struct FORCE_STR *x, int nDim, int *dims );
int scan_buf_struct_FORCE_MONITOR_STR (char** buf, struct FORCE_MONITOR_STR *x, int nDim, int *dims );
int scan_buf_struct_FORCE_MONITOR_DATA_STR (char** buf, struct FORCE_MONITOR_DATA_STR *x, int nDim, int *dims );
int scan_buf_struct_FORCE_DETECT_STR (char** buf, struct FORCE_DETECT_STR *x, int nDim, int *dims );
int scan_buf_struct_FORCE_STATE_STR (char** buf, struct FORCE_STATE_STR *x, int nDim, int *dims );
int scan_buf_struct_Gb_jac7 (char** buf, struct Gb_jac7 *x, int nDim, int *dims );
int scan_buf_struct_Gb_jac (char** buf, struct Gb_jac *x, int nDim, int *dims );
int scan_buf_enum_Gb_statusMGI (char** buf, enum Gb_statusMGI *x, int nDim, int *dims );
int scan_buf_struct_Gb_dataMGD (char** buf, struct Gb_dataMGD *x, int nDim, int *dims );
int scan_buf_struct_Gb_q7 (char** buf, struct Gb_q7 *x, int nDim, int *dims );
int scan_buf_struct_Gb_q6 (char** buf, struct Gb_q6 *x, int nDim, int *dims );
int scan_buf_struct_Gb_6rParameters (char** buf, struct Gb_6rParameters *x, int nDim, int *dims );
int scan_buf_struct_Gb_quat (char** buf, struct Gb_quat *x, int nDim, int *dims );
int scan_buf_struct_Gb_m33 (char** buf, struct Gb_m33 *x, int nDim, int *dims );
int scan_buf_struct_Gb_dep (char** buf, struct Gb_dep *x, int nDim, int *dims );
int scan_buf_struct_Gb_th (char** buf, struct Gb_th *x, int nDim, int *dims );
int scan_buf_struct_Gb_v6 (char** buf, struct Gb_v6 *x, int nDim, int *dims );
int scan_buf_struct_Gb_v3 (char** buf, struct Gb_v3 *x, int nDim, int *dims );
int scan_buf_struct_Gb_force (char** buf, struct Gb_force *x, int nDim, int *dims );
int scan_buf_struct_Gb_vitesse (char** buf, struct Gb_vitesse *x, int nDim, int *dims );
int scan_buf_struct_Gb_objectMotion (char** buf, struct Gb_objectMotion *x, int nDim, int *dims );
int scan_buf_struct_Gb_objectPose (char** buf, struct Gb_objectPose *x, int nDim, int *dims );
int scan_buf_struct_Gb_euler (char** buf, struct Gb_euler *x, int nDim, int *dims );
int scan_buf_struct_Gb_point3D (char** buf, struct Gb_point3D *x, int nDim, int *dims );
int scan_buf_struct_Gb_point2D (char** buf, struct Gb_point2D *x, int nDim, int *dims );
int scan_buf_struct_Gb_motionMat (char** buf, struct Gb_motionMat *x, int nDim, int *dims );
int scan_buf_struct_Gb_thMat (char** buf, struct Gb_thMat *x, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

int scan_buf_Gb_thMat (char** buf, Gb_thMat *x, int nDim, int *dims );
int scan_buf_Gb_motionMat (char** buf, Gb_motionMat *x, int nDim, int *dims );
int scan_buf_Gb_point2D (char** buf, Gb_point2D *x, int nDim, int *dims );
int scan_buf_Gb_point3D (char** buf, Gb_point3D *x, int nDim, int *dims );
int scan_buf_Gb_euler (char** buf, Gb_euler *x, int nDim, int *dims );
int scan_buf_Gb_objectPose (char** buf, Gb_objectPose *x, int nDim, int *dims );
int scan_buf_Gb_objectMotion (char** buf, Gb_objectMotion *x, int nDim, int *dims );
int scan_buf_Gb_vitesse (char** buf, Gb_vitesse *x, int nDim, int *dims );
int scan_buf_Gb_force (char** buf, Gb_force *x, int nDim, int *dims );
int scan_buf_Gb_v3 (char** buf, Gb_v3 *x, int nDim, int *dims );
int scan_buf_Gb_v6 (char** buf, Gb_v6 *x, int nDim, int *dims );
int scan_buf_Gb_th (char** buf, Gb_th *x, int nDim, int *dims );
int scan_buf_Gb_dep (char** buf, Gb_dep *x, int nDim, int *dims );
int scan_buf_Gb_m33 (char** buf, Gb_m33 *x, int nDim, int *dims );
int scan_buf_Gb_quat (char** buf, Gb_quat *x, int nDim, int *dims );
int scan_buf_Gb_6rParameters (char** buf, Gb_6rParameters *x, int nDim, int *dims );
int scan_buf_Gb_q6 (char** buf, Gb_q6 *x, int nDim, int *dims );
int scan_buf_Gb_q7 (char** buf, Gb_q7 *x, int nDim, int *dims );
int scan_buf_Gb_dataMGD (char** buf, Gb_dataMGD *x, int nDim, int *dims );
int scan_buf_Gb_statusMGI (char** buf, Gb_statusMGI *x, int nDim, int *dims );
int scan_buf_Gb_jac (char** buf, Gb_jac *x, int nDim, int *dims );
int scan_buf_Gb_jac7 (char** buf, Gb_jac7 *x, int nDim, int *dims );
int scan_buf_FORCE_STATE_STR (char** buf, FORCE_STATE_STR *x, int nDim, int *dims );
int scan_buf_FORCE_DETECT_STR (char** buf, FORCE_DETECT_STR *x, int nDim, int *dims );
int scan_buf_FORCE_MONITOR_DATA_STR (char** buf, FORCE_MONITOR_DATA_STR *x, int nDim, int *dims );
int scan_buf_FORCE_MONITOR_STR (char** buf, FORCE_MONITOR_STR *x, int nDim, int *dims );
int scan_buf_FORCE_STR (char** buf, FORCE_STR *x, int nDim, int *dims );
int scan_buf_FORCE_DETECTION_POSTER_STR (char** buf, FORCE_DETECTION_POSTER_STR *x, int nDim, int *dims );
int scan_buf_FORCE_MONITOR_POSTER_STR (char** buf, FORCE_MONITOR_POSTER_STR *x, int nDim, int *dims );
int scan_buf_FORCE_FORCE_POSTER_STR (char** buf, FORCE_FORCE_POSTER_STR *x, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* FORCE_SCAN_H */

